<?php
include '../configuracao/conexao.php';
include '../configuracao/funcoes.php';

// A função de sessão deve vir antes de qualquer 'echo' ou HTML
sec_session_start(); 

if(isset($_POST['email'], $_POST['p'])) { 
    $email = $_POST['email'];
    $password = $_POST['p'];
    
    if(login($email, $password, $mysqli) == true) {
        header('Location: ../principal/index.php');
        exit(); // Sempre use exit após um header de redirecionamento
    } else {
        header('Location: ../index.php?rerro=Falha Login');
        exit();
    }
} else {
    echo 'Requisição Inválida';
}
// Note que não fechamos a tag ?> 